Bug 783881 - MeasurementSenderRunner should log debug instead of warning if a numeric metric value is null, NaN, or Infinity
MeasurementSenderRunner should log debug instead of warning if a numeric metr...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity low (vote)
: ---
: JON 3.0.1
Assigned To: Charles Crouch
Mike Foley
:
Depends On: 753226
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-23 00:14 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 753226
Environment:
Last Closed: 2013-09-03 11:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-01-23 00:14:47 EST
+++ This bug was initially created as a clone of Bug #753226 +++

When a numeric metric value is Null, NaN, or Infinity the agent log contains a warning indicate the value is invalid. However, this value is not invalid in most cases. It is expected. For example, for a web application response time metrics. If the web application has not been accessed since the app started or its metric have been reset, average response time will be NaN due to no data to calculate. For the same resource, min response time and max response time are also NaN as they represent min = Long.MAX_VALUE and max = 0.

The fact that this is logged as warning is very alarming when seen in the agent log. Instead, this should be logged at debug.


WARN  [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)-Numeric Servlet.averageResponseTime with id 645163 is invalid, value was 'NaN'


Should be:

DEBUG  [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)-Numeric Servlet.averageResponseTime with id 645163 is invalid, value was 'NaN'

--- Additional comment from loleary@redhat.com on 2011-11-11 11:31:35 EST ---

ips already committed this fix to master as 542a30ca6d0eaebbee5365c756955255ba367e4e:

   log message reporting invalid numeric metrics at DEBUG, rather than WARN, to avoid flooding the agent log with repetitive messages

--- Additional comment from loleary@redhat.com on 2011-11-14 14:32:34 EST ---

Committed to release-3.0.1 as 43dedc8135a6ce802501810ff810af739b24ab11 - http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=43dedc8135a6ce802501810ff810af739b24ab11

--- Additional comment from skondkar@redhat.com on 2011-12-22 04:59:26 EST ---

Verified in master build#855 (Version: 4.3.0-SNAPSHOT Build Number: 74fe0df)

The invalid numeric metrics log messages are not logged as warning. These are logged at DEBUG in agent log as below:

2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.AvgResponseTime] with schedule id [18225] is invalid - value is [Double.NaN].
2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.MaxResponseTime] with schedule id [18226] is invalid - value is [Double.NaN].
2011-12-22 15:22:09,348 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.MinResponseTime] with schedule id [18227] is invalid - value is [Double.NaN].
Comment 1 Charles Crouch 2012-01-23 00:16:15 EST
This fix needs to get ported to JON3.0.1 (rhq repo branch release/jon3.0.x) and tested by engineering, then pushed to ON-QA
Comment 2 Charles Crouch 2012-01-24 12:38:11 EST
A fix for this issue went into JON2.4.2
Comment 4 Simeon Pinder 2012-02-03 10:08:14 EST
Moving this to ON_QA as there is now a binary available to test with:
https://brewweb.devel.redhat.com//buildinfo?buildID=197202
Comment 5 Sunil Kondkar 2012-02-06 07:16:53 EST
Verified on 3.0.1.GA RC2 build (Build Number: b2cb23b:859b914)

The invalid numeric metrics log messages are logged at DEBUG in agent log as below:

2012-02-06 17:34:19,962 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.maximumResponseTime] with schedule id [18776] is invalid - value is [Double.NaN].
2012-02-06 17:34:19,963 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.minimumResponseTime] with schedule id [18777] is invalid - value is [Double.NaN].
2012-02-06 17:34:19,963 DEBUG [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementSenderRunner)- Numeric metric [Servlet.averageResponseTime] with schedule id [18773] is invalid - value is [Double.NaN].
Comment 7 Heiko W. Rupp 2013-09-03 11:05:35 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.